<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.party.mapper.ActivityMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="activityResultMap" type="org.springblade.party.entity.Activity">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="img" property="img"/>
        <result column="content" property="content"/>
        <result column="begin_time" property="beginTime"/>
        <result column="end_time" property="endTime"/>
        <result column="deadline_time" property="deadlineTime"/>
        <result column="people_count" property="peopleCount"/>
        <result column="remaining_count" property="remainingCount"/>
        <result column="id_verification" property="idVerification"/>
        <result column="activity_status" property="activityStatus"/>
        <result column="sort" property="sort"/>
        <result column="branch_id" property="branchId"/>
        <result column="branch_name" property="branchName"/>
    </resultMap>


    <select id="selectActivityPage" resultMap="activityResultMap">
        select * from party_activity where is_deleted = 0
    </select>

</mapper>
